# station_type.h File Reference

Types related to stations. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | StationID
typedef uint16 | RoadStopID
## Enumerations
enum | StationType { STATION_RAIL, STATION_AIRPORT, STATION_TRUCK, STATION_BUS, STATION_OILRIG, STATION_DOCK, STATION_BUOY }
| Station types.
enum | RoadStopType { ROADSTOP_BUS, ROADSTOP_TRUCK }
| Types of RoadStops. More...
enum | { FACIL_TRAIN = 0x01, FACIL_TRUCK_STOP = 0x02, FACIL_BUS_STOP = 0x04, FACIL_AIRPORT = 0x08, FACIL_DOCK = 0x10 }
enum | { HVOT_TRAIN = 1 << 1, HVOT_BUS = 1 << 2, HVOT_TRUCK = 1 << 3, HVOT_AIRCRAFT = 1 << 4, HVOT_SHIP = 1 << 5, HVOT_BUOY = 1 << 6 }
enum | CatchmentArea { CA_NONE = 0, CA_BUS = 3, CA_TRUCK = 3, CA_TRAIN = 4, CA_DOCK = 5, CA_UNMODIFIED = 4, MAX_CATCHMENT = 10 }
enum | { MAX_LENGTH_STATION_NAME_BYTES = 31, MAX_LENGTH_STATION_NAME_PIXELS = 180 }
## Variables
static const StationID | NEW_STATION = 0xFFFE
static const StationID | INVALID_STATION = 0xFFFF

## Detailed Description

Types related to stations.

Definition in file station_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  MAX_LENGTH_STATION_NAME_BYTES | The maximum length of a station name in bytes including ''.
  MAX_LENGTH_STATION_NAME_PIXELS | The maximum length of a station name in pixels.

Definition at line 67 of file station_type.h.

enum CatchmentArea

Enumerator:

  CA_UNMODIFIED | Used when _settings_game.station.modified_catchment is false.
  MAX_CATCHMENT | Airports have a catchment up to this number.

Definition at line 55 of file station_type.h.

enum RoadStopType

Types of RoadStops.

Enumerator:

  ROADSTOP_BUS | A standard stop for buses.
  ROADSTOP_TRUCK | A standard stop for trucks.

Definition at line 30 of file station_type.h.